@import '../core/base';
@import '../modules/button-group';

.dialog {
  position: relative;
  &__actions {
    padding: 0 2rem 2.5rem !important;
    @include flex(flex-start, space-between);
    @include mobile-md {
      flex-direction: column;
    }
    & button {
      margin: 0 1.5rem 0 0 !important;
      &:last-child {
        margin-right: 0 !important;
      }
    }
    & span,
    & span > div,
    & span button {
      @include mobile-md {
        display: block !important;
        width: 100% !important;
      }
    }
  }
}
.dialog-buttons {
  @include flex(center, flex-start);
  @include mobile-md {
    flex-direction: column !important;
  }
  & span {
    display: inline-block;
    margin-right: 1.5rem;
    @include mobile-md {
      margin-bottom: 1rem;
    }
    &:last-child {
      margin-right: 0;
    }
  }
}